#Define params the class
class mailscanner::params {

  $etc_dir                                                                        = '/etc/MailScanner'
  $report_dir                                                                     = '/etc/MailScanner/reports/pt_br'
  $rules_dir                                                                      = '/etc/MailScanner/rules'
  $mcp_dir                                                                        = '/etc/MailScanner/mcp'
  $run_as_user                                                                    = 'postfix'
  $run_as_group                                                                   = 'postfix'
  $queue_scan_interval                                                            = '6'
  $incoming_queue_dir                                                             = '/var/spool/postfix/hold'
  $outgoing_queue_dir                                                             = '/var/spool/postfix/incoming'
  $incoming_work_dir                                                              = '/var/spool/MailScanner/incoming'
  $quarantine_dir                                                                 = '/var/spool/MailScanner/quarantine'
  $pid_file                                                                       = '/var/run/MailScanner.pid'
  $mta                                                                            = 'postfix'
  $sendmail                                                                       = '/usr/sbin/sendmail'
  $sendmail2                                                                      = '/usr/sbin/sendmail'
  $incoming_work_user                                                             = undef
  $incoming_work_group                                                            = undef
  $incoming_work_permissions                                                      = '0600'
  $quarantine_user                                                                = 'root'
  $quarantine_group                                                               = 'apache'
  $quarantine_permissions                                                         = '0660'
  $max_unscanned_bytes_per_scan                                                   = '100m'
  $max_unsafe_bytes_per_scan                                                      = '50m'
  $max_unscanned_messages_per_scan                                                = '30'
  $max_unsafe_messages_per_scan                                                   = '30'
  $max_normal_queue_size                                                          = '800'
  $maximum_processing_attempts                                                    = '6'
  $processing_attempts_database                                                   = '/var/spool/MailScanner/incoming/Processing.db'
  $expand_tnef                                                                    = 'yes'
  $use_tnef_contents                                                              = 'replace'
  $deliver_unparsable_tnef                                                        = 'yes'
  $tnef_expander                                                                  = '/usr/bin/tnef __maxsize=100000000'
  $tnef_timeout                                                                   = '120'
  $file_command                                                                   = '/usr/bin/file'
  $file_timeout                                                                   = '20'
  $gunzip_command                                                                 = '/bin/gunzip'
  $gunzip_timeout                                                                 = '50'
  $unrar_command                                                                  = '/usr/bin/unrar'
  $unrar_timeout                                                                  = '50'
  $find_uu_encoded_files                                                          = 'no'
  $minimum_attachment_size                                                        = '_1'
  $unpack_microsoft_documents                                                     = 'no'
  $add_text_of_doc                                                                = 'no'
  $antiword                                                                       = '/usr/bin/antiword _f'
  $antiword_timeout                                                               = '50'
  $unzip_maximum_files_per_archive                                                = '0'
  $unzip_maximum_file_size                                                        = '50k'
  $unzip_filenames                                                                = '*.txt *.ini *.log *.csv':
  $unzip_mimetype                                                                 = 'text/plain'
  $virus_scanners                                                                 = 'f_secure'
  $virus_scanner_timeout                                                          = '300'
  $deliver_disinfected_files                                                      = 'no'
  $silent_viruses                                                                 = 'HTML_IFrame All_Viruses'
  $still_deliver_silent_viruses                                                   = 'no'
  $non_forging_viruses                                                            = 'Joke/ OF97/ WM97/ W97M/ eicar'
  $spam_virus_header                                                              = 'X_%org_name%_MailScanner_SpamVirus_Report:'
  $virus_names_which_are_spam                                                     = 'Sane*UNOFFICIAL HTML/* *Phish*'
  $check_filenames_in_password_protected_archives                                 = 'yes'
  $monitors_for_clamav_updates                                                    = '/var/clamav/*.cld '
  $clamd_port                                                                     = '3310'
  $clamd_socket                                                                   = '/var/run/clamav/clamd.sock'
  $clamd_lock_file                                                                = '/var/run/clamav/clamd'
  $clamd_use_threads                                                              = 'yes'
  $clamav_full_message_scan                                                       = 'yes'
  $use_stricter_phishing_net                                                      = 'yes'
  $highlight_phishing_fraud                                                       = 'no'
  $phishing_safe_sites_file                                                       = '%etc_dir%/phishing.safe.sites.conf'
  $phishing_bad_sites_file                                                        = '%etc_dir%/phishing.bad.sites.conf'
  $country_sub_domains_list                                                       = '%etc_dir%/country.domains.conf'
  $ignored_web_bug_filenames                                                      = 'spacer pixel.gif pixel.png gap shim'
  $known_web_bug_servers                                                          = 'msgtag.com'
  $web_bug_replacement                                                            = undef
  $convert_dangerous_html_to_text                                                 = 'no'
  $archives_are                                                                   = 'zip rar ole'
  $filename_rules                                                                 = undef
  $filetype_rules                                                                 = undef
  $allow_filetypes                                                                = undef
  $deny_filetypes                                                                 = undef
  $archives_allow_filenames                                                       = '%rules_dir%/filenames_allow.rules'
  $archives_deny_filenames                                                        = '%rules_dir%/filenames_deny.rules'
  $archives_filename_rules                                                        = undef
  $archives_allow_filetypes                                                       = undef
  $archives_allow_file_mime_types                                                 = '%rules_dir%/file_mime_types_allow.rules'
  $archives_deny_filetypes                                                        = undef
  $archives_deny_file_mime_types                                                  = '%rules_dir%/file_mime_types_deny.rules'
  $archives_filetype_rules                                                        = undef
  $quarantine_silent_viruses                                                      = 'yes'
  $quarantine_modified_body                                                       = 'no'
  $quarantine_whole_message                                                       = 'yes'
  $quarantine_whole_messages_as_queue_files                                       = 'no'
  $keep_spam_and_mcp_archive_clean                                                = 'no'
  $language_strings                                                               = '%report_dir%/languages.conf'
  $rejection_report                                                               = '%report_dir%/rejection.report.txt'
  $deleted_bad_content_message_report                                             = '%report_dir%/deleted.content.message.txt'
  $deleted_bad_filename_message_report                                            = '%report_dir%/deleted.filename.message.txt'
  $deleted_virus_message_report                                                   = '%report_dir%/deleted.virus.message.txt'
  $deleted_size_message_report                                                    = '%report_dir%/deleted.size.message.txt'
  $stored_bad_content_message_report                                              = '%report_dir%/stored.content.message.txt'
  $stored_bad_filename_message_report                                             = '%report_dir%/stored.filename.message.txt'
  $stored_virus_message_report                                                    = '%report_dir%/stored.virus.message.txt'
  $stored_size_message_report                                                     = '%report_dir%/stored.size.message.txt'
  $disinfected_report                                                             = '%report_dir%/disinfected.report.txt'
  $inline_html_signature                                                          = '%report_dir%/inline.sig.html'
  $inline_text_signature                                                          = '%report_dir%/inline.sig.txt'
  $signature_image_filename                                                       = '%report_dir%/sig.jpg'
  $signature_image_img_filename                                                   = 'signature.jpg'
  $inline_html_warning                                                            = '%report_dir%/inline.warning.html'
  $inline_text_warning                                                            = '%report_dir%/inline.warning.txt'
  $sender_content_report                                                          = '%report_dir%/sender.content.report.txt'
  $sender_error_report                                                            = '%report_dir%/sender.error.report.txt'
  $sender_bad_filename_report                                                     = '%report_dir%/sender.filename.report.txt'
  $sender_virus_report                                                            = '%report_dir%/sender.virus.report.txt'
  $sender_size_report                                                             = '%report_dir%/sender.size.report.txt'
  $hide_incoming_work_dir                                                         = 'yes'
  $include_scanner_name_in_reports                                                = 'no'
  $mail_header                                                                    = 'X_%org_name%_DOMAINNAME_MailScanner:'
  $spam_header                                                                    = 'X_%org_name%_DOMAINNAME_MailScanner_SpamCheck:'
  $spam_score_header                                                              = 'X_%org_name%_DOMAINNAME_MailScanner_SpamScore:'
  $information_header                                                             = 'X__MailScanner_Point:'
  $add_envelope_from_header                                                       = 'yes'
  $add_envelope_to_header                                                         = 'no'
  $envelope_from_header                                                           = 'X_%org_name%_DOMAINNAME_MailScanner_From:'
  $envelope_to_header                                                             = 'X_%org_name%_DOMAINNAME_MailScanner_To:'
  $id_header                                                                      = 'X__MailScanner_ID:'
  $ip_protocol_version_header                                                     = '# X_%org_name%_MailScanner_IP_Protocol:'
  $spam_score_character                                                           = 's'
  $spamscore_number_instead_of_stars                                              = 'yes'
  $minimum_stars_if_on_spam_list                                                  = '0'
  $clean_header_value                                                             = 'Mensagem OK'
  $infected_header_value                                                          = 'Mensagem Infectada'
  $disinfected_header_value                                                       = 'Mensagem Desinfectada'
  $information_header_value                                                       = '13'
  $detailed_spam_report                                                           = 'yes'
  $include_scores_in_spamassassin_report                                          = 'yes'
  $always_include_spamassassin_report                                             = 'yes'
  $multiple_headers                                                               = 'add'
  $place_new_headers_at_top_of_message                                            = 'no'
  $sign_messages_already_processed                                                = 'no'
  $attach_image_to_signature                                                      = 'no'
  $attach_image_to_html_message_only                                              = 'no'
  $allow_multiple_html_signatures                                                 = 'no'
  $dont_sign_html_if_headers_exist                                                = undef
  $mark_infected_messages                                                         = 'yes'
  $unscanned_header_value                                                         = ' MailScanner: Mensagem nao scaneada'
  $remove_these_headers                                                           = 'X_Mozilla_Status: X_Mozilla_Status2:'
  $deliver_cleaned_messages                                                       = 'yes'
  $never_notify_senders_of_precedence                                             = 'list bulk'
  $scanned_modify_subject                                                         = 'no'
  $scanned_subject_text                                                           = '{Processada}'
  $virus_modify_subject                                                           = 'no'
  $virus_subject_text                                                             = '{Virus?}'
  $filename_modify_subject                                                        = 'no'
  $filename_subject_text                                                          = '{Filename?}'
  $size_modify_subject                                                            = 'no'
  $size_subject_text                                                              = '{Size}'
  $warning_is_attachment                                                          = 'no'
  $attachment_warning_filename                                                    = '%org_name%_Attachment_Warning.txt'
  $attachment_encoding_charset                                                    = 'ISO_8859_1'
  $archive_mail                                                                   = undef
  $missing_mail_archive_is                                                        = 'directory'
  $notices_include_full_headers                                                   = 'yes'
  $hide_incoming_work_dir_in_notices                                              = 'yes'
  $notice_signature                                                               = '__ \n MailScanner\n'
  $notices_from                                                                   = 'MailScanner'
  $local_postmaster                                                               = 'postmaster'
  $spam_list_definitions                                                          = '%etc_dir%/spam.lists.conf'
  $virus_scanner_definitions                                                      = '%etc_dir%/virus.scanners.conf'
  $spam_lists_to_be_spam                                                          = '1'
  $spam_lists_to_reach_high_score                                                 = '2'
  $spam_list_timeout                                                              = '10'
  $max_spam_list_timeouts                                                         = '7'
  $spam_list_timeouts_history                                                     = '10'
  $is_definitely_not_spam                                                         = '&SQLWhitelist'
  $is_definitely_spam                                                             = '&SQLBlacklist'
  $definite_spam_is_high_scoring                                                  = 'yes'
  $ignore_spam_whitelist_if_recipients_exceed                                     = '100'
  $use_watermarking                                                               = 'no'
  $add_watermark                                                                  = 'yes'
  $check_watermarks_with_no_sender                                                = 'yes'
  $treat_invalid_watermarks_with_no_sender_as_spam                                = 'nothing'
  $check_watermarks_to_skip_spam_checks                                           = 'yes'
  $watermark_secret                                                               = '%org_name%_Secret'
  $watermark_lifetime                                                             = '604800'
  $watermark_header                                                               = 'X_%org_name%_MailScanner_Watermark:'
  $use_spamassassin                                                               = 'yes'
  $spamassassin_auto_whitelist                                                    = 'yes'
  $spamassassin_timeout                                                           = '120'
  $max_spamassassin_timeouts                                                      = '10'
  $spamassassin_timeouts_history                                                  = '30'
  $check_spamassassin_if_on_spam_list                                             = 'yes'
  $include_binary_attachments_in_spamassassin                                     = 'yes'
  $spam_score                                                                     = 'yes'
  $cache_spamassassin_results                                                     = 'yes'
  $spamassassin_cache_database_file                                               = '/var/spool/MailScanner/incoming/SpamAssassin.cache.db'
  $wait_during_bayes_rebuild                                                      = 'yes'
  $use_custom_spam_scanner                                                        = 'no'
  $max_custom_spam_scanner_size                                                   = '20k'
  $custom_spam_scanner_timeout                                                    = '20'
  $max_custom_spam_scanner_timeouts                                               = '10'
  $custom_spam_scanner_timeout_history                                            = '20'
  $sender_spam_report                                                             = '%report_dir%/sender.spam.report.txt'
  $sender_spam_list_report                                                        = '%report_dir%/sender.spam.rbl.report.txt'
  $sender_spamassassin_report                                                     = '%report_dir%/sender.spam.sa.report.txt'
  $inline_spam_warning                                                            = '%report_dir%/inline.spam.warning.txt'
  $recipient_spam_report                                                          = '%report_dir%/recipient.spam.report.txt'
  $enable_spam_bounce                                                             = 'yes'
  $bounce_spam_as_attachment                                                      = 'no'
  $syslog_facility                                                                = 'mail'
  $log_speed                                                                      = 'yes'
  $log_spam                                                                       = 'yes'
  $log_non_spam                                                                   = 'no'
  $log_delivery_and_non_delivery                                                  = 'no'
  $log_permitted_filenames                                                        = 'no'
  $log_permitted_filetypes                                                        = 'no'
  $log_permitted_file_mime_types                                                  = 'no'
  $log_silent_viruses                                                             = 'yes'
  $log_dangerous_html_tags                                                        = 'yes'
  $log_spamassassin_rule_actions                                                  = 'yes'
  $spamassassin_temporary_dir                                                     = '/var/spool/MailScanner/incoming/SpamAssassin_Temp'
  $spamassassin_user_state_dir                                                    = '/var/spool/MailScanner/spamassassin'
  $spamassassin_install_prefix                                                    = undef
  $spamassassin_site_rules_dir                                                    = '/etc/mail/spamassassin'
  $spamassassin_local_rules_dir                                                   = undef
  $spamassassin_local_state_dir                                                   = '# /var/lib/spamassassin'
  $spamassassin_default_rules_dir                                                 = '/usr/share/spamassassin/'
  $db_dsn                                                                         = undef
  $db_username                                                                    = undef
  $db_password                                                                    = undef
  $sql_serial_number                                                              = undef
  $sql_quick_peek                                                                 = undef
  $sql_config                                                                     = undef
  $sql_ruleset                                                                    = undef
  $sql_spamassassin_config                                                        = undef
  $sql_debug                                                                      = 'no'
  $mcp_checks                                                                     = 'no'
  $first_check                                                                    = 'spam'
  $mcp_required_spamassassin_score                                                = '1'
  $mcp_high_spamassassin_score                                                    = '10'
  $mcp_error_score                                                                = '1'
  $mcp_header                                                                     = 'X_%org_name%_MailScanner_MCPCheck:'
  $non_mcp_actions                                                                = 'deliver'
  $mcp_actions                                                                    = 'deliver'
  $high_scoring_mcp_actions                                                       = 'deliver'
  $bounce_mcp_as_attachment                                                       = 'no'
  $mcp_modify_subject                                                             = 'start'
  $mcp_subject_text                                                               = '{MCP?}'
  $high_scoring_mcp_modify_subject                                                = 'start'
  $high_scoring_mcp_subject_text                                                  = '{MCP?}'
  $is_definitely_mcp                                                              = 'no'
  $is_definitely_not_mcp                                                          = 'no'
  $definite_mcp_is_high_scoring                                                   = 'no'
  $always_include_mcp_report                                                      = 'no'
  $detailed_mcp_report                                                            = 'yes'
  $include_scores_in_mcp_report                                                   = 'no'
  $log_mcp                                                                        = 'no'
  $mcp_max_spamassassin_timeouts                                                  = '20'
  $mcp_max_spamassassin_size                                                      = '100k'
  $mcp_spamassassin_timeout                                                       = '10'
  $mcp_spamassassin_prefs_file                                                    = '%mcp_dir%/mcp.spam.assassin.prefs.conf'
  $mcp_spamassassin_user_state_dir                                                = undef
  $mcp_spamassassin_local_rules_dir                                               = '%mcp_dir%'
  $mcp_spamassassin_default_rules_dir                                             = '%mcp_dir%'
  $mcp_spamassassin_install_prefix                                                = '%mcp_dir%'
  $recipient_mcp_report                                                           = '%report_dir%/recipient.mcp.report.txt'
  $sender_mcp_report                                                              = '%report_dir%/sender.mcp.report.txt'
  $use_default_rules_with_multiple_recipients                                     = 'no'
  $read_ip_address_from_received_header                                           = 'no'
  $spam_score_number_format                                                       = '%d'
  $mailscanner_version_number                                                     = $facts['mailscanner']['version']
  $spamassassin_cache_timings                                                     = '1800,300,10800,172800,600'
  $debug                                                                          = 'no'
  $debug_spamassassin                                                             = 'no'
  $run_in_foreground                                                              = 'no'
  $always_looked_up_last                                                          = '&Logging'
  $always_looked_up_last_after_batch                                              = 'no'
  $deliver_in_background                                                          = 'yes'
  $delivery_method                                                                = 'batch'
  $split_exim_spool                                                               = 'no'
  $lockfile_dir                                                                   = '/var/spool/MailScanner/incoming/Locks'
  $custom_functions_dir                                                           = '/usr/lib/MailScanner/MailScanner/CustomFunctions'
  $lock_type                                                                      = undef
  $syslog_socket_type                                                             = undef
  $automatic_syntax_check                                                         = 'yes'
  $minimum_code_status                                                            = 'supported'
  $warningurlpage                                                                 = 'DOMAINNAME.com.br'
  $warningurlpageid                                                               = '313dfbcefbf8bcbcbd91eb321b3663c3'
  $dangerous_content_scanning                                                     = 'yes'
  $max_children                                                                   = '20'
  $org_long_name                                                                  = 'DOMAINNAME'
  $org_name                                                                       = 'DOMAINNAME'
  $web_site                                                                       = 'http://www.DOMAINNAME.com.br'
  $maximum_archive_depth                                                          = '5'
  $find_archives_by_content                                                       = 'yes'
  $hostname                                                                       = 'DOMAINNAME.com.br'
  $content_subject_text                                                           = 'Provável Conteúdo Perigoso'
  $disarmed_subject_text                                                          = 'Conteúdo Perigoso Desarmado'
  $phishing_subject_text                                                          = 'Provável Phishing'
  $max_spam_check_size                                                            = '900K'
  $max_spamassassin_size                                                          = '900K'
  $rebuild_bayes_every                                                            = '21600'
  $spam_subject_text                                                              = 'Provável SPAM'
  $high_scoring_spam_subject_text                                                 = 'SPAM'
  $time_that_will_be_stored_in_the_e_mail_in_quarantine                           = '30'
  $time_responsible_for_performing_the_cleaning_of_quarantine                     = '90'
  $scan_messages                                                                  = '%rules_dir%/messages_scan.rules'
  $reject_message                                                                 = '%rules_dir%/message_reject.rules'
  $maximum_attachments_per_message                                                = '%rules_dir%/attachments_per_message_maximum.rules'
  $maximum_message_size                                                           = '%rules_dir%/message_size_maximum.rules'
  $maximum_attachment_size                                                        = '%rules_dir%/attachment_size_maximum.rules'
  $zip_attachments                                                                = '%rules_dir%/attachments_zip.rules'
  $attachments_zip_filename                                                       = '%rules_dir%/attachments_zip_filename.rules'
  $attachments_min_total_size_to_zip                                              = '%rules_dir%/attachments_min_total_size_to_zip.rules'
  $attachment_extensions_not_to_zip                                               = '%rules_dir%/attachment_extensions_not_to_zip.rules'
  $virus_scanning                                                                 = '%rules_dir%/virus_scanning.rules'
  $block_encrypted_messages                                                       = '%rules_dir%/block_encrypted_messages.rules'
  $block_unencrypted_messages                                                     = '%rules_dir%/block_unencrypted_messages.rules'
  $allow_password_protected_archives                                              = '%rules_dir%/allow_password_protected_archives.rules'
  $allow_partial_messages                                                         = '%rules_dir%/allow_partial_messages.rules'
  $allow_external_message_bodies                                                  = '%rules_dir%/allow_external_message_bodies.rules'
  $find_phishing_fraud                                                            = '%rules_dir%/find_phishing_fraud.rules'
  $also_find_numeric_phishing                                                     = '%rules_dir%/also_find_numeric_phishing.rules'
  $allow_iframe_tags                                                              = '%rules_dir%/allow_iframe_tags.rules'
  $allow_form_tags                                                                = '%rules_dir%/allow_form_tags.rules'
  $allow_script_tags                                                              = '%rules_dir%/allow_script_tags.rules'
  $allow_webbugs                                                                  = '%rules_dir%/allow_webbugs.rules'
  $allow_object_codebase_tags                                                     = '%rules_dir%/allow_object_codebase_tags.rules'
  $convert_html_to_text                                                           = '%rules_dir%/convert_html_to_text.rules'
  $allow_filenames                                                                = '%rules_dir%/allow_filenames.rules'
  $deny_filenames                                                                 = '%rules_dir%/deny_filenames.rules'
  $allow_file_mime_types                                                          = '%rules_dir%/allow_file_mime_types.rules'
  $deny_file_mime_types                                                           = '%rules_dir%/deny_file_mime_types.rules'
  $quarantine_infections                                                          = '%rules_dir%/quarantine_infections.rules'
  $sign_clean_messages                                                            = '%rules_dir%/sign_clean_messages.rules'
  $notify_senders                                                                 = '%rules_dir%/notify_senders.rules'
  $notify_senders_of_viruses                                                      = '%rules_dir%/notify_senders_of_viruses.rules'
  $notify_senders_of_blocked_filenames_or_filetypes                               = '%rules_dir%/notify_senders_of_blocked_filenames_'
  $notify_senders_of_blocked_size_attachments                                     = '%rules_dir%/notify_senders_of_blocked_size_attachments'
  $notify_senders_of_other_blocked_content                                        = '%rules_dir%/notify_senders_of_other_blocked_content.rules'
  $content_modify_subject                                                         = '%rules_dir%/content_modify_subject.rules'
  $disarmed_modify_subject                                                        = '%rules_dir%/disarmed_modify_subject.rules'
  $phishing_modify_subject                                                        = '%rules_dir%/phishing_modify_subject.rules'
  $send_notices                                                                   = '%rules_dir%/send_notices.rules'
  $notices_to                                                                     = '%rules_dir%/notices_to.rules'
  $spam_checks                                                                    = '%rules_dir%/spam_checks.rules'
  $spam_list                                                                      = '%rules_dir%/spam_list.rules'
  $spam_domain_list                                                               = '%rules_dir%/spam_domain_list.rules'
  $required_spamassassin_score                                                    = '%rules_dir%/required_spamassassin_score.rules'
  $high_spamassassin_score                                                        = '%rules_dir%/high_spamassassin_score.rules'
  $spam_actions                                                                   = '%rules_dir%/spam_actions.rules'
  $high_scoring_spam_actions                                                      = '%rules_dir%/high_scoring_spam_actions.rules'
  $non_spam_actions                                                               = '%rules_dir%/non_spam_actions.rules'
  $spam_modify_subject                                                            = '%rules_dir%/spam_modify_subject.rules'
  $high_scoring_spam_modify_subject                                               = '%rules_dir%/high_scoring_spam_modify_subject.rules'
  $convert_url_links                                                              = '%rules_dir%/convert_url_links.rules'
  $spamassassin_rule_actions                                                      = '/etc/MailScanner/rules/spamassassin_rule_actions.rules'
  $warningurlpageredirect                                                         = '0'
}
